"use strict";

class EducationPage {
    constructor(args) {
        Object.assign(this, args);
    }

    render() {
        return {
            tag: "div",
            contents: [
                {
                    tag: "h1",
                    contents: "Pédagogie",
                },
                {
                    tag: "h2",
                    contents: "Game studio club",
                },
                {
                    tag: "h3",
                    contents: "Apprendre à créer un jeu vidéo de A à Z",
                },
                {
                    tag: "p",
                    contents:
                        "La création d'un jeu vidéo c'est l'occasion d'aborder plein de choses différentes !",
                },
                {
                    tag: "ul",
                    contents: [
                        {
                            tag: "li",
                            contents: [
                                {
                                    tag: "strong",
                                    contents: "Dessin et création 2D",
                                },
                                {
                                    tag: "ul",
                                    contents: [
                                        {
                                            tag: "li",
                                            contents: "Créer des décors et des personnages",
                                        },
                                        {
                                            tag: "li",
                                            contents: "Dessiner sur ordinateur",
                                        },
                                        {
                                            tag: "li",
                                            contents: "Créer des animations 2D",
                                        },
                                    ],
                                },
                            ],
                        },
                        {
                            tag: "li",
                            contents: [
                                {
                                    tag: "strong",
                                    contents: "Musique et effets sonores",
                                },
                                {
                                    tag: "ul",
                                    contents: [
                                        {
                                            tag: "li",
                                            contents:
                                                "Utiliser des logiciels de son et des synthétiseurs",
                                        },
                                        {
                                            tag: "li",
                                            contents: "Composer une musique",
                                        },
                                        {
                                            tag: "li",
                                            contents: "Faire une prise de son",
                                        },
                                        {
                                            tag: "li",
                                            contents: "Mixer un enregistrement",
                                        },
                                    ],
                                },
                            ],
                        },
                        {
                            tag: "li",
                            contents: [
                                {
                                    tag: "strong",
                                    contents: "Développer un univers",
                                },
                                {
                                    tag: "ul",
                                    contents: [
                                        {
                                            tag: "li",
                                            contents:
                                                "Écrire une histoire, construire une narration",
                                        },
                                        {
                                            tag: "li",
                                            contents: "Imaginer des mondes et des personnages",
                                        },
                                    ],
                                },
                            ],
                        },
                        {
                            tag: "li",
                            contents: [
                                {
                                    tag: "strong",
                                    contents: "Concevoir le jeu",
                                },
                                {
                                    tag: "ul",
                                    contents: [
                                        {
                                            tag: "li",
                                            contents: "Comprendre ce qui fait le jeu",
                                        },
                                        {
                                            tag: "li",
                                            contents: "Développer les mécanismes du gameplay",
                                        },
                                    ],
                                },
                            ],
                        },
                        {
                            tag: "li",
                            contents: [
                                {
                                    tag: "strong",
                                    contents: "Programmation informatique",
                                },
                                {
                                    tag: "ul",
                                    contents: [
                                        {
                                            tag: "li",
                                            contents:
                                                "Apprendre pas à pas à coder avec différents langages de programmation",
                                        },
                                        {
                                            tag: "li",
                                            contents:
                                                "Découvrir les bases du web en créant des mini-jeux en lignes",
                                        },
                                    ],
                                },
                            ],
                        },
                        {
                            tag: "li",
                            contents: [
                                {
                                    tag: "strong",
                                    contents: "Mathématiques et pysique",
                                },
                                {
                                    tag: "ul",
                                    contents: [
                                        {
                                            tag: "li",
                                            contents:
                                                "Le jeu vidéo et l'informatique en général, c'est l'occasion de découvrir plein de sujets en maths et en physique tout en s'amusant !",
                                        },
                                        {
                                            tag: "li",
                                            contents:
                                                "Algorithmie, logique, calcul décimal, ensembles, géométrie, trigonométrie, algèbre linéaire ,vecteurs, repères en 2 dimensions ...",
                                        },
                                    ],
                                },
                            ],
                        },
                    ],
                },
            ],
        };
    }
}

module.exports = EducationPage;
